import {ParametricQuery} from "../models/enea/ParametricQuery";
import {Parameter} from "../models/Parameter";

export class DatasourceConfiguration {
    // selected datasource
    parametricQuery?: ParametricQuery;

    // parameters which is bind to selected datasource
    parameters: Parameter[] = [];

    label: String = "";

    public constructor(init?: Partial<DatasourceConfiguration>) {
        Object.assign(this, init);
    }
}

export abstract class Widget {
    name?: string;
    type?: string;
}
