import {Component, Input, OnInit} from "@angular/core";
import { TextWidget } from "../models/TextWidget";
import {TranslateService} from "@ngx-translate/core";

@Component({
    selector: "text-widget",
    templateUrl: "./text-widget.component.html",
    styleUrls: ["./text-widget.component.css"]
})
export class TextWidgetComponent implements OnInit {
    @Input() widget?: TextWidget;

    language: String = "en";

    constructor(translate: TranslateService) {

        this.language = translate.currentLang;
    }

    ngOnInit(): void {
    }
}