package enea.lecservice.configuration;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.CommandLineRunner;
import org.springframework.context.annotation.Configuration;

@Slf4j
@Configuration
public class StartUpRunner implements CommandLineRunner {

    @Value("${DB_USER}")
    protected String dbHost;
    @Override
    public void run(String... args) throws Exception {
        log.error("Host is: {}", dbHost);
    }
}
