package enea.lecservice.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class Form {
    @JsonIgnore
    protected String token;
    protected String code;
    protected String description;
    protected FormColumn[] fields;
    protected String id;

    @Getter @Setter
    public static class FormColumn {
        protected String name;
        protected String descriptionLong;
        protected String descriptionShort;
        protected String type;
        protected boolean required;
        protected Object value;
        protected FormOption[] options;
        protected FormOption[] multipleOptions;
    }

    @Getter @Setter
    public static class FormOption {
        protected String key;
        protected String value;
    }
}
