package enea.lecservice.models.dto;

import enea.lecservice.security.dto.UserInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class LocalUserDTO {
    protected String name;
    protected String surname;
    protected String organization;
    protected String email;
    protected String password;
    protected String passwordRepeat;
    protected List<UserInfo.CommunityDTO> usercommunities;
    protected Token token;


    public class Token {
    	protected String creation;
    	protected String expiration;
    	protected String value;
    }
}
