package enea.lecservice.security.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.SuperBuilder;
import org.springframework.security.core.userdetails.UserDetails;

@SuperBuilder
@NoArgsConstructor
@Getter @Setter
public abstract class BaseUserInfo implements UserDetails {
    protected String username;
    @JsonIgnore
    protected String password;
}
