package enea.lecservice.services;

import enea.lecservice.models.dto.BaseRequest;
import enea.lecservice.models.dto.DataRequest;

public interface IDataService {
    String getListOfFunctions(BaseRequest request);

    /**
     *
     * @param communityId   ES: 4
     * @param queryId       ES: 2
     * @param queryParam    ES: startDate=2021-03-01 00:00:00&endDate=2021-03-06 00:00:00
     * @param token
     * @return
     * {
     *   "metadata": [
     *     {
     *       "powactive": "float8"
     *     },
     *     {
     *       "timestamp": "timestamptz"
     *     }
     *   ],
     *   "result": []
     * }
     */
    // String getData(String communityId, String queryId, String queryParam, String token);
    String getData(DataRequest request);

	String getData(DataRequest request, Integer index);

	String clearListOfFunctions(BaseRequest request);
}
