package enea.lecservice.widgets;

import enea.lecservice.dto.CssStyle;
import lombok.*;

import java.util.List;

@Builder
@Getter @Setter
@NoArgsConstructor
@AllArgsConstructor
public class Layout {
    protected List<LayoutRow> rows;

    @Builder
    @Getter @Setter
    @NoArgsConstructor
    @AllArgsConstructor
    public static class LayoutRow {
        public List<LayoutColumn> columns;
    }

    @Builder
    @Getter @Setter
    @NoArgsConstructor
    @AllArgsConstructor
    public static class LayoutColumn {
        protected Integer width;
        protected List<Widget> widgets;
        protected CssStyle style;
    }
}