
export interface Form {
    id?: string;
    code?: string;
    description?: string;
    fields?: FormColumn [];
}

export interface FormColumn {
    name?:string;
    example?:string;
    type?: string;
    descriptionShort?: string;
    descriptionLong?: string;
    required: boolean;
    value: any;
    options?: FormOption[];
    multipleOptions: FormOption[]
}

export interface FormOption {
    key?: string;
    value?: string;
}