export class ParametricQuery {
    description?: string;
    name?: string;
    parameters: LocalQueryParameter[] = [];
    queryType?: string;
    queryid?: string;
    values?: object;
    crudCode?: string;
    idColumn?: null;

    metadata: Metadata[] = [];
}

export class LocalQueryParameter {
    description?: string;
    example?: string;
    familytype?: string;
    name?: string;
    paramId?: number;
    type?: string;
}

export class Metadata {
    unitOfMeasure: string ="";
    name: string = "";
    description: string = "";
    type: string = "";
    example: string = "";
}