import { Pipe, PipeTransform } from '@angular/core';
/*
 * Raise the value exponentially
 * Takes an exponent argument that defaults to 1.
 * Usage:
 *   value | exponentialStrength:exponent
 * Example:
 *   {{ 2 | exponentialStrength:10 }}
 *   formats to: 1024
*/
@Pipe({name: 'toDate'})
export class ToDatePipe implements PipeTransform {
    transform(value?: string): Date {
        return value ? new Date(value) : new Date();
    }
}