import {Series, SeriesStyle, SeriesMetadata, ChartWidget} from "./ChartWidget";
import { ChartDataset, ChartType, Chart } from 'chart.js';
import {Metadata} from "../../../models/enea/ParametricQuery";
import { Widget } from "../../Widget";
import { ChartWidgetComponent } from "../components/chart-widget.component";

export class ChartDataLocal {
    labels: string[] = [];
    datasets: ChartDataset[] = [];
    backgroundColors: BackgroundColor[]= [];
    metadata: Metadata[] = [];
    configuration: any = {};
    
    constructor(labels: string[], datasets: ChartDataset[], colors: BackgroundColor[], configuration: any) {
        this.labels = labels;
        this.datasets = datasets;
        this.backgroundColors = colors;
        this.configuration = configuration;        
    }
	
   

}

export class BackgroundColor{
	backgroundColor: string = "#92b3db";
	
	constructor(init?: Partial<BackgroundColor>) {
		
        Object.assign(this, init);
    }
	
}