import {Component, Input, OnInit, ViewChild} from '@angular/core';
import { TextWidget } from 'src/app/widgets/text/models/TextWidget';

@Component({
  selector: 'app-text-widget-configuration',
  templateUrl: './text-widget-configuration.component.html',
  styleUrls: ['./text-widget-configuration.component.css'],
})
export class TextWidgetConfigurationComponent implements OnInit {

  @Input() widget?: TextWidget;

  @ViewChild("editor") editor?: any;
  editHtml: boolean = false;

  constructor() { }

  ngOnInit(): void {
  }

  public toggleHtmlView () {
    this.editHtml = !this.editHtml;
  }
}
