package enea.lecservice.entities;

import lombok.*;

import javax.persistence.*;
import java.util.List;

@Builder @Getter @Setter @NoArgsConstructor @AllArgsConstructor
@Entity
@Table(name = "lec_role")
public class Role {
    @Id
    String id;
    String description;

    @ManyToMany
    @JoinTable(name = "lec_role_permission") //, joinColumns = { @JoinColumn(name="id") }, inverseJoinColumns = { @JoinColumn(name="id") })
    List<Permission> permissions;
}
