package enea.lecservice.widgets.image.models;

import com.fasterxml.jackson.annotation.JsonTypeName;
import enea.lecservice.dto.CssStyle;
import enea.lecservice.widgets.Widget;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.SuperBuilder;

@SuperBuilder
@Getter @Setter
@NoArgsConstructor
@AllArgsConstructor
@JsonTypeName("IMAGE")
public class ImageWidget extends Widget {
    protected String src;
    protected String width;
    protected String height;
    protected String alt;
    protected CssStyle style;
}
