package enea.lecservice.widgets.table.models;

import com.fasterxml.jackson.annotation.JsonTypeName;
import enea.lecservice.models.dto.DatasourceConfiguration;
import enea.lecservice.widgets.Widget;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.SuperBuilder;

import java.util.List;

@SuperBuilder
@Getter
@Setter
@NoArgsConstructor
@JsonTypeName("TABLE")
public class TableWidget extends Widget {
    protected DatasourceConfiguration datasourceConfiguration;
    protected boolean rowSelectable;
    protected String rowSelectColumn;
    protected String rowSelectParamName;
    protected String rowSelectTarget;
    protected List<String> selectedColumns;
    protected boolean editable;
    protected String formCode;
    protected String formColumnId;
    protected String formColumnTitle;
}

